Bug 229476 - Update bundled JavaServer Faces to 2.2fcs
Update bundled JavaServer Faces to 2.2fcs
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
7.3.1
All All
: P1 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 18:40 UTC by Martin Fousek
Modified: 2013-05-20 12:39 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Fousek 2013-05-07 18:40:24 UTC
As in case of the eclipselink, NetBeans 7.3.1 has to be released with final version of the JSF library which will be used by users in runtime.

Minimal tasks are:
- update library JAR
- update maven dependencies from snapshot to final
Comment 1 Martin Fousek 2013-05-09 07:24:03 UTC
We still wait for the JSF2.2 FCS which should be available at the beginning of the week 13/5-17/5.
Comment 2 Marian Mirilovic 2013-05-09 08:53:53 UTC
Do you want to update it for 7.3.1 ? - it's pretty late in the cycle I would say ;(
Comment 3 Martin Fousek 2013-05-09 09:07:05 UTC
(In reply to comment #2)
> Do you want to update it for 7.3.1 ? - it's pretty late in the cycle I would
> say ;(

I don't insist on that, we already have one of the latest builds but our bundled library will be missing last JSF fixes which can be users facing in runtime - btw. all these fixes must be JSF stoppers (requirement to JSF integration), so it can be pretty serious issues.
Comment 4 Petr Jiricka 2013-05-09 09:21:23 UTC
Marian, currently we are bundling a pre-release version of JSF 2.2, and we can't go out with a non-final version. So this needs to be done. Also, the delta between this pre-release and the final build should be quite small, so hopefully the risk is low.
Comment 5 Martin Fousek 2013-05-14 09:32:45 UTC
Updated to the latest available milestone build for now:
web-main #e9fdc339fcf5
Comment 6 Quality Engineering 2013-05-15 02:31:19 UTC
Integrated into 'main-golden', will be available in build *201305142300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e9fdc339fcf5
User: Martin Fousek <marfous@netbeans.org>
Log: #229476 - Update bundled JavaServer Faces to 2.2fcs
Comment 7 Martin Fousek 2013-05-15 10:36:02 UTC
We still don't have any news when should be available JSF2.2 FCS. :/ Jirko, yesterday I updated trunk's binary to the latest milestone build of JSF (m15). Could you try it out there? I would update it in the release73 branch to this binary. I tested it manually in my environment and everything looks to be working well. Thanks!

BTW, at least we need to get updated maven's pom version and I think that would be better to have the same library for Ant and Maven. Now we are at Ant:m14+patches, Maven:m12 ... my change consolidates it to m15 for both of them.
Comment 8 Jiri Skrivanek 2013-05-15 11:36:37 UTC
I haven't found any problem in NetBeans IDE Dev (Build 201305142300).
Comment 9 Martin Fousek 2013-05-15 12:28:51 UTC
Petre please could I ask you for review - it's just change of the binary:
http://hg.netbeans.org/main-golden/rev/e9fdc339fcf5

Thanks in advance.
Comment 10 Martin Fousek 2013-05-16 06:55:47 UTC
Petr has also another patches for review now, Martine could I ask you for another one? Thanks...
Comment 11 Martin Janicek 2013-05-16 07:02:25 UTC
Sure, the patch looks fine for me
Comment 12 Martin Fousek 2013-05-16 13:31:11 UTC
Transplanted partial update to m15 as releases #a41b523b3327. I'm not fixing it yet since we could speak about another update later - whether it is possible and above all whether it is necessary.
Comment 13 Quality Engineering 2013-05-17 00:05:12 UTC
Integrated into 'releases', will be available in build *201305162200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/a41b523b3327
User: Martin Fousek <marfous@netbeans.org>
Log: #229476 - Update bundled JavaServer Faces to 2.2fcs
(transplanted from e9fdc339fcf56d87c2ee96b59c673d9d5282ca6c)
Comment 14 Martin Fousek 2013-05-20 05:35:11 UTC
Still no public or private (form Ed Burns) information about JSF2.2 FCS. I'm afraid that we will stay with milestone binary into NB731.
Comment 15 Marian Mirilovic 2013-05-20 11:59:43 UTC
Please close this issue as FIXED, no further changes in 7.3.1 . If you wish create another issue for trunk, but thi one must be closed NOW ! Thanks a lot.
Comment 16 Martin Fousek 2013-05-20 12:12:03 UTC
Sorry for inconvience. The P1 issue for additional upgrade can be opened anytime, I'll not do it now. I think that we could live with the milestone build - especially when it's not our issue but issue of the JSF which is still not released. :/


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo